#ifndef VALAPHP_PWPHPBYTECODE_RUNTIME_H
#define VALAPHP_PWPHPBYTECODE_RUNTIME_H

#include <glib.h>

#include "valaphp-runtime-core.h"

gboolean valaphp_pwphpbytecode_ensure_initialized(char **error_message);
gboolean valaphp_pwphpbytecode_begin_load_class(const char *loader_id, gboolean *should_load, char **error_message);
void valaphp_pwphpbytecode_finish_load_class(const char *loader_id);
Phpzval *valaphp_pwphpbytecode_call_static_method_zval(const char *class_name, const char *method_name, Phpzval *args, char **error_message);
char *valaphp_pwphpbytecode_call_static_method_output_to_string(const char *class_name, const char *method_name, Phpzval *args, char **error_message);

#endif
